升级PowerShell至4.0版本-阿里云开发者社区

开发者社区> 开发与运维> 正文

升级PowerShell至4.0版本

简介:

为了更好的使用Cmder v1.2,不得不升级PowerShell为4.0。

不知道Cmder的,可以点击这里:https://github.com/cmderdev/cmder 和 逆天神器 cmder


Powershell是运行在Windows机器上实现系统和应用程序管理自动化的命令行脚本环境。 需要.NET环境的支持,

同时支持.NET对象。当前PowerShell有5个版本,分别为1.0、2.0、3.0、4.0、5.0


如果系统是Windows 7或者Windows Server 2008 R2,那么PowerShell 2.0已经内置了,可以升级为3.0或4.0版本 

如果系统是Windows Server 2012,那么PowerShell 3.0已经内置了,可以升级为4.0版本

如果系统Windows 8.1或者Windows server 2012 R2,那么默认已经是4.0版本

如果系统是Windows Server 2016或者Windows 10,那么默认为5.0版本

关于PowerShell 4.0更详细的介绍:Windows Management Framework 4.0 正式版发布


PowerShell 4.0 需要Windows Management Framework 4.0,下载地址:点击打开链接

Windows Management Framework 4.0 需要 Microsoft .NET Framework 4.5,下载地址:点击打开链接


按官方要求,卸载其他任何 Windows Management Framework 4.0 副本,包括任何预发行副本或其他语言的副本。卸载以下几个,如下:

Microsoft .NET Framework 4 Client Profile

Microsoft .NET Framework 4 Client Profile 简体中文语言包

Microsoft .NET Framework 4 Extended

Microsoft .NET Framework 4 Extended 简体中文语言包

Microsoft .NET Framework 4 Multi-Targeting Pack


然后安装先前下载好的Microsoft .NET Framework 4.5,再安装Windows Management Framework 4.0


安装完以后重启计算机。到此PowerShell 4.0已成功更新,如图:

wKioL1kC7J_BFse9AAA6vzDVk_0722.jpg












本文转自babylater51CTO博客,原文链接:http://blog.51cto.com/babylater/1920434 ,如需转载请自行联系原作者



版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章